/*
Theme Name: BO-HOME-V1 Child
Description: BO-HOME Child-Theme für Rosenbusch Immobilien - Bremen
Template: bo-home-v1
Author: brings-online.com
Version: 1.0
Updated: 16.12.2025
*/

/*
You can start adding your own styles here. Use !important to overwrite styles if needed. */

.logo { padding:25px 0 25px 0;}

.top-custom-wrapper {display:flex; width:100%; justify-content:space-between; }
.top-full-menu {margin:10px auto;  border-top:none; border-bottom:none;text-align:left;padding-top:10px; }

header#header {border-bottom:1px solid #eaebef}
#topmenu ul ul {border-radius:0 0 3px 3px; padding:10px 0 0 0; }
#topmenu li:hover > ul{left:5px; width:auto;border:none;}
#topmenu ul ul li {border-bottom:1px dotted rgba(0,0,0,.1);  }
#topmenu ul li a {font-size:16px; }

.custom-mouseover-column .wp-block-column {transition:all 300ms;}
.custom-mouseover-column .wp-block-column:hover {background:#425c7d !important; color:#fff;}
.custom-mouseover-column .wp-block-column a {color:#333538; border:none;}
.custom-mouseover-column .wp-block-column:hover a {color:#fff; }
.custom-mouseover-column .wp-block-column:hover .icon-container.has-icon-color {color:#fff !important;}
.custom-mouseover-column .wp-block-column p {margin:0 !important; }

.property-gallery-wrap { position:relative; margin:0; width: 100%; max-width: 1000px; overflow: hidden;}
.property-gallery-wrap .bo-gallery-slider {position:relative;}
.bo-gallery-item {width: 100%;height: 100%; position: relative;aspect-ratio: 1000 / 665;max-height: 665px;}
.property-gallery-wrap .bo-gallery-slider img { width: 100%;  height: 100%;  object-fit: cover;  object-position: 50% 50%;  display: block;}

.footer {background:#334058 !important; color:#fff !important; padding-top:20px;}
.footer a {color:#fff !important;}
.footer-box ul li:before { color:#fff !important; font-size:13px;}
.footerboxtitle {padding-bottom:10px !important}

.custom-object-list ul li h2 {margin-top:15px !important; font-family: 'Montserrat', sans-serif;font-weight:300; }
.footer-box .custom-object-list ul li:before {top:-5px; }
.wp-block-group__inner-container {padding-top:0 !important; margin-top:0 !important;padding-bottom:0 !important; margin-bottom:0 !important}
.bo-testimonial-carousel button {border:none;background:#425c7d;}
.bo-testimonial-carousel button.slick-prev:before {color:#fff !important}
.bo-testimonial-carousel button.slick-next:before {margin-left:2px;color:#fff !important}
.bo-property-box {background:#f9f9f9;}


.bo-taxsearch button.bo-taxform-button-submit { padding:5px; font-size:17px; border-top:1px solid #fff; border-bottom:1px solid #fff; background:#425c7d; color:#fff;border-radius:3px;}
.bo-taxsearch button.bo-taxform-button-submit br {display:none;}
.wp-block-cover.custom-cover-home {overflow:visible;}
.portfolio-listing .bo-property-data {display:none;}
.g-recaptcha {margin-left:20px; margin-top:30px;}

p { padding:10px 0; margin:0; line-height:1.8em; font-size:16px;}
.wp-block-column p, .wp-block-group p { margin-top:0;margin-bottom:0;}

ul.wp-block-list.with-icon {margin-left:0;}
.wp-block-quote {margin:20px 0;}
.wp-block-quote p {font-style:italic;}
.wp-block-quote cite {font-weight:400;margin-top:10px;}
.wp-block-quote a {color:#425c7d; text-decoration:underline;}
.wpcf7 input {border-bottom-color:#eaebef !important;}
.wpcf7 textarea {border-color:#eaebef !important;}
.wpcf7 input {margin:3px 0;}
.wpcf7 input[type="submit"] {margin:25px 0 !important}

@media screen and (max-width:1380px)  {
.logo { padding:25px 0 25px 15px;}
}

@media screen and (max-width: 940px)  {
.logo { padding:25px 0 25px 15px; position:absolute; }	
.top-full-menu {margin-top:20px ;  }	
.top-custom-right{width:100%}	
.top-custom-wrapper {display:flex; width:100%; justify-content:flex-start; flex-wrap:wrap; 	}	
.mobilebutton {margin-right:20px;}	
#topmenu ul ul {border-radius:0; padding:0; }
#topmenu li:hover > ul{left:0; width:auto;border:none;}
#topmenu ul ul li {border-bottom:none;  }
#topmenu ul li a {font-size:16px; }
}

@media screen and (max-width: 600px)  {
.logo { padding:30px 0 5px 15px;  max-width:200px !important }	
.mobilebutton {margin-right:0;}		
}

@media screen and (max-width: 600px)  {
.topline-content {flex-wrap:wrap; justify-content:center; align-items:center;font-size:17px; line-height:1.5em;}
.top-left {margin:30px 0 0 0; text-align:center;justify-content:center;}
.top-right { margin:20px 0 0 0; padding:0; text-align:center;}	
.top-socials {display:none;padding-left:0; padding-top:15px;}	
}

@media screen and (max-width: 480px)  {
span.open-mobile-taxsearch {padding:17px 10px;}	
#bo-quicksearch-searchform.quicksearchform { padding:5px;background:#fff;}	
.mobile-topline-button {background:#bb7c30; }	
}



/* ========== */

.custom-separator-button  {position:relative;z-index:}
.custom-separator-button .wp-block-button a {width:100%;border:5px solid #fff;}
.custom-separator-button .wp-block-button:before {position:absolute; content:""; left:0; top:42%; height:2px; width:40%;background:#9fb290;z-index:1 }
.custom-separator-button .wp-block-button:after {position:absolute; content:""; right:0; top:42%; height:2px; width:40%;background:#9fb290; z-index:1; }


.bo-box-section {display:flex; flex-direction:row; flex-wrap:wrap; justify-content:flex-start;align-items:stretch; margin-bottom:60px;}
.bo-service-box {border:1px solid #EEEFF3; padding:15px; align-items:top; border-radius:0 0 2px 2px; position:relative; overflow:hidden;transition:all 0.5s; box-sizing:border-box; }
.bo-service-box.has-3-boxes {flex-basis:calc(33.3333% - 20px);width:calc(33.3333% - 20px); margin:10px 30px 40px 0;}
.bo-service-box.has-3-boxes:nth-child(3n) {margin-right:0;}
.bo-service-box-thumb {margin:-8px -8px 20px -8px;}
.bo-service-box-thumb img {width:100%; height:auto; display:block;}
.bo-service-box a {color:#152736; }
.bo-service-box p {font-size:16px;}
.bo-service-box h2 {margin:0 0 15px 0;font-size:20px; font-weight:400; position:relative;}
.bo-service-box h2:after {content:""; position:absolute; left:0; bottom:-10px; height:2px; background:#9fb290; width:80px;}
.bo-service-box .bo-service-more {font-size:14px; background:#f7f8fa; color:#ffa828; padding:8px 15px 8px 0; font-weight:600; text-transform:uppercase; text-align:right; position:absolute; bottom:-60px; left:0; width:calc(100% - 10px); transition:all 0.5s;}
.bo-service-box:hover {padding:15px 15px 40px 15px;margin-bottom:10px;}
.bo-service-box:hover .bo-service-more { bottom:0;}